Error al intentar vincular Google Analytics con Prestashop 1.7.2.1  

 
Xavier
 Xavier
Usuario activo

Hola,

Al intentar vincular la cuenta de google analytics desde el dashboard inicial del admin me sale este error:

[PrestaShop] Fatal error in module file: /home/ottakico/public_html/app/bootstrap.php.cache:3225
"Uncaught SymfonyComponentDebugExceptionFatalThrowableError: Call to a member function isUsingNewTranslationSystem() on boolean in /home/ottakico/public_html/controllers/admin/AdminModulesController.php:1400 Stack trace: #0 /home/ottakico/public_html/classes/controller/AdminController.php(2849): AdminModulesControllerCore->initModal() #1 /home/ottakico/public_html/classes/controller/Controller.php(186): AdminControllerCore->init() #2 /home/ottakico/public_html/classes/Dispatcher.php(379): ControllerCore->run() #3 /home/ottakico/public_html/admin139xpfl2i/index.php(95): DispatcherCore->dispatch() #4 {main} Next LogicException: Request stack is empty in /home/ottakico/public_html/app/bootstrap.php.cache:3225 Stack trace: #0 [internal function]: SymfonyComponentHttpKernelHttpKernel->terminateWithException(Object(SymfonyComponentDebugExceptionFatalThrowableError)) #1 /home/ottakico/public_html/vendor/symfony/symfony/src/Symfony/Component/Debug/ErrorHandler.php(606): call_user_func(Array, Object(Symfony"

Alguna idea?

Muchas gracias por la ayuda!

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 30/08/2017 4:11 pm
Jhon Marreros Guzman
 Jhon Marreros Guzman
Soporte CMS Webempresa Moderator

Hola

Qué versión de PrestaShop estas usando?, has probado cambiando la versión de PHP?

Revisa, prueba con una versión superior
https://guias.webempresa.com/preguntas-frecuentes/cambiar-la-version-php/

Uno de los primeros mensajes hace referencia a un archivo de cache, prueba deshabilitando temporalmente la cache y los parámetros de optimización ( CCC) y verifica si te sucede lo mismo.

Saludos.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 30/08/2017 6:46 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Xavier
 Xavier
Usuario activo

Muchas gracias por tu respuesta! Ya tenía habilitada la versión más reciente del php. He probado con otras versiones y ninguna de ellas me ha funcionado. Con la versión 5.6.X el error que me daba era un 500.

También he deshabilitado la caché y CCC (que no tenía activado) y tampoco he tenido éxito.

¿Qué puedo hacer?

ResponderCitar
Respondido : 30/08/2017 8:07 pm
Johnny Heredia Montiel
 Johnny Heredia Montiel
Miembro Moderator

Hola,

He verificado algunos enlaces y al parecer el modulo parece generar problemas y no veo que este disponible para tu versión de PrestaShop. Lo recomendable en este caso es introducir el código que te facilita Google Analytics de forma directa en la cabecera de la plantilla. Para esta tarea puedes utilizar el administrador de ficheros de tu cPanel: https://www.webempresa.com/blog/administrador-de-archivos-de-cpanel.html

Verifica si el siguiente enlace te es de ayuda: Link a post de foro, solo visible a usuarios registrados

Si nuestra ayuda te ha sido útil, déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 31/08/2017 2:56 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Por favor Iniciar Sesión o Registro